# Overview

-----

# General
## Basic & Permissions
### Prefix

- *"A prefix is placed at the beginning of every command to invoke Auttaja's magic."*
	- "Auttaja's command prefix is currently set to:" (a!)

### Permissions

- *"Auttaja's moderation commands are tiered into different permission sets. The sets are bot-side and must be manually attached to existing roles in your server. We recommend setting them up before you enable Auttaja features."*
	- **Everyone** - *"This is the default permission set attached to the `@everyone` role."*
	- **Helper** - *"This permission set is often granted to help supervise chats but do not have the authority to kick or ban members"* ("Trial Staff" `<@&583980623006269442>`.)
	- **Moderation** - *"The moderator permissions grant users more authority to take corrective action."* ("Event Support Staff" `<@&685974751180619894>`, "Head Mod" `<@&653971094646161408>` & "Mod" `<@&579682719097683978>`.)
	- **Administrator** - *"Administrator permission grant all the moderation privilieges of Helper and Moderator while providing permissions to add or remove channels and edit your server's Auttaja config."* ("Head Mod" `<@&653971094646161408>` & "Bot Dash" `<@&653364491945246720>`.)
	- **Owner** - *"There commands are available to the server's official owner and any role that's attached to the Owner permission set."* ("Co-Owner" `<@&581553109206040752>`)

## Custom Commands

<!-- Post Note: There are no custom commands here -->

## Miscellaneous
### Announcements

-  "Announcement Channel" <!-- If enabled, Auttaja will send announcement made with the `[p]announce (message)` command to the designated channel. This feature is available to users with Administrator or higher permissions. -->
	- Disabled.

### Leave Channel

- "Leave Channel" <!-- If enabled, Auttaja will send leave messages to the designated channel. -->
	- Disabled.

-----

# Gatekeeper
## Gatekeeper

- "Enable" <!-- Gatekeeper is favourite feature of Auttaja users. It is often used to prevent server raids and help new users familiarize themeselves with server rules. When Gatekeeper is enabled and setup properly, users will have will have to go through your custom gatekeeper workflow to gain access to all but a single "landing" channel. -->
	- Enabled

- "Custom Workflow" <!-- Auttaja allows servers to create their own custom Gatekeeper Workflows for their own landing channel(s). Drag in new steps from the options on the right to your active custom workflow on the left. A section will appear below the Custom Workflow section so that you can configure each part of your Custom Workflow. -->
	- *"Active"* - "Check Username"

- Check Username
	- *"Check Username for advertisements"* <!-- If enabled, Auttaja will check new users' usernames for Discord server invitation links. --> (Disabled)
	- *"Check Username for custom content"* <!-- If enabled, Auttaja will check new users' usernames with your custom regex. For help with regex, see regex101.com or regexr.com --> (Enabled)
	- "Moderation Action" <!-- What action would you like Auttaja to take when it spots a username containing server invites or your custom regex? --> (Ban)

## Sticky Roles

<!-- Sticky Roles are Roles that will stick to users if they leave and rejoin the server. The also works if they were kicked or banned previously as well. Gatekeeper does not need to be enabled for Sticky Roles. **WARNING:** Sticky roles will bypass any Gatekeeper workflow you set up. Select any Roles that you would like to "stick" to Members if they leave and rejoin the server. -->

- Member Pronouns
	- *"He/Him"*  - `<@&923401792790884383>`.
	- *"She/Her"* - `<@&923401750373867531>`.
	- *"They/Them"* - `<@&923401827247071253>`.

- Relationship Status
	- *"Single"* - `<@&923404327815643186>`.
	- *"Taken"* - `<@&923404256202063893>`.
	- *"Collared"* - `<@&923404358857658378>`.

- DM Role
	- *"Open DM"* - `<@&923401976727883797>`.
	- *"Ask DM"* - `<@&923401882087612467>`.
	- *"No DM"* - `<@&923401944628871208>`.

- Age Roles
	- *"18+"* - `<@&923402019421696002>`.
	- *"21+"* - `<@&923402056037986304>`.
	- *"30+"* - `<@&923402099868454952>`.
	- *"40+"* - `<@&923588420020862988>`.

- Relationship Type
	- *"Mono"* `<@&923404944378302504>`.
	- *"Open Poly"* - `<@&923404432358649946>`.
	- *"Closed Poly"* - `<@&923404506140655637>`.

- Relationship 
	- *"Searching"* - `<@&923404649606807632>`.
	- *"Not Looking"* `<@&923404611832913961>`.
	- *"Seek Tist"* - `<@&925204743754760252>`.
	- *"Seek Subject"* - `<@&923402485522124850>`.

- Location
	- *"NA"* - `<@&923619282036883507>`.
	- *"CA"* - `<@&923619324932005898>`.
	- *"Carribean"* - `<@&923622216808140843>`.
	- *"Africa"* - `<@&923619367357390858>`.
	- *"Europe"* - `<@&923619418032971856>`.
	- *"Asia"* - `<@&923619501851967499>`.
	- *"Oceania"* - `<@&923619539885891605>`.
	- *"SA"* - `<@&923620209825316884>`.

- Sexual Orientation
	- *"Ace"* - `<@&923405191414423552>`.
	- *"Demi"* - `<@&923404863889612830>`.
	- *"Pan"* - `<@&923404892616413204>`.
	- *"Bi"* - `<@&923405041908465685>`.
	- *"Straight"* - `<@&923405071759331368>`.
	- *"Gay"* - `<@&923530094327242762>`.
	- *"Lesbian"* - `<@&923530168650313758>`.
	- *"Queer"* - `<@&923530136781979688>`.

- Hypno Orientation
	- *"Hypno Switch"* - `<@&926265855241760819>`.
	- *"Hypno-Curious"* - `<@&923405244233318460>`.
	- *"No Hypno"* - `<@&923529179079786506>`.
	- *"Kink Switch"* - `<@&923402226637111317>`.
	- *"Tist"* - `<@&923402999420842085>`.
	- *"Subject"* - `<@&923402332258070540>`.

- Dominant Roles
	- *"Dom"* - `<@&923434796376535070>`
	- *"Cg"* - `<@&923405392833282168>`
	- *"Master"* - `<@&923407631694061578>`
	- *"Mistress"* - `<@&923405346121318400>`
	- *"Sadist"* - `<@&923434506608853042>`
	- *"Predator"* - `<@&923406229945081886>`
	- *"Owner"* - `<@&923434686938751006>`
	- *"Rigger"* - `<@&923434258322849852>`
	- *"Degrader"* - `<@&923434720086355978>`

- Submissive Roles
	- *"Sub"* - `<@&923434821680766986>`
	- *"Little"* - `<@&923405488761208852>`
	- *"Pet"* - `<@&923405434197524501>`
	- *"Slave"* - `<@&923406123460079628>`
	- *"Prey"* - `<@&923406189738483755>`
	- *"Rope Bunny"* - `<@&923434618252853278>`
	- *"Degradee"* - `<@&923405496638128219>`
	- *"Maso"* - `<@&923434653258506251>`

- Ping Roles
	- *"Casual hypno ping"* - `<@&923434852039131166>`
	- *"Casual VC ping"* - `<@&923434898985992242>`
	- *"Support ping"* - `<@&923434994075062302>`
	- *"Watch party"* - `<@&923435035749646416>`
	- *"Sleep call ping"* - `<@&923435082402914324>`
	- *"Chat Revive"* - `<@&923435093320687637>`
	- *"Babysit ping"*  - `<@&923435319192354846>`
	- *"Looking for game"* - `<@&923435352545439754>`
	- *"Task Giver ping"* - `<@&925207477736329226>`
	- *"Task Taker ping"* - `<@&923435403401375775>`
	- *"Homework"* - `<@&926266255151874078>`
	- *"Welcomer"* - `<@&923436074448085074>`
	- *"Server Giveaway"* - `<@&923435456878768139>`
	- *"No Partner"* - `<@&923435514202296330>`
	- *"Partner ping"* - `<@&923435559928594473>`
	- *"Educational event"* - `<@&923435783992508466>`
	- *"Hypnosis event"* - `<@&923435839692894288>`
	- *"Story event"* - `<@&923435884752277536>`
	- *"Social event"* - `<@&923435926976335892>`
	- *"Game night event"* - `<@&923435986875203594>`
	- *"Kink event"* - `<@&923436032379207711>`
	- *"QOTD"* - `<@&923779067914879036>`

# Moderation
## General Moderation
### Mute Settings

- *"Mute Settings"* <!-- Auttaja mutes users and prevents them from spamming chats further by applying a Muted role (made server-side) and optionally temporarily removing all of their other roles. It lasts for an hour by default.-->

- *"Select the Muted Role"* <!-- Please select a role for Auttaja to use as the Spammer role. -->
	- *"Time Out Chair"* - `<@&935326338942926868>`

- *"Toggle Role Removal"* <!-- If enabled, Auttaja will remove all roles when the user is muted and will give all roles back when they are unmuted. (This is enabled by default and can lead to less safe situations when disabled.) --> (Enabled)

- *"Set a Default Mute Time - Manual Mutes"* <!-- Please set a default time for mutes. If left blank, Auttaja's default mute time will revert to 1 hour. Auttaja uses d (days), h (hours), and m (minutes). --> 0d, 1h, 0m

- *"Set a Default Mute Time - Auto Moderation Mutes"* <!-- Please set a default a default time for the Auto Moderator mute. If left blank, Auto Moderator's default mute time will be substituted with your server's manual mute default time. Auttaja uses d (days), h (hours), and m (minutes). --> 0d, 1h, 0m

### Infraction Text

- *"Infraction Text"* <!-- Any text inputted here as will be sent via DM and server-side confirmation after any additional reason provided when any infraction-related commands are issued (strike, mute, kick, softban, ban). This will not show in any logs or searches. --> "Enter your infraction text here..."

### Strike Threshold

- *"Strike Count"* <!-- If you'd like for Auttaja to take action(s) after a user has recieved a preset number of strikes or warnings, set the number of strikes below and any action you would like to take below. --> "Click to Add Another Action"

## Auto Moderation
### Bypass Role

- *"Bypass Role"* <!-- The bypass role is made server-side and can have any name. We recommend making the Bypass role a separate role from any other staff or administrator roles. Users with the Bypass role are not affected by Auttaja's auto moderation. -->
- *"Select the Role"* <!-- Please select a role for Auttaja to use as the Bypass role. Leave this blank if you do not want the Bypass feature enabled. --> "Bypass Roles"

### Modes

- *"Anti-Advert"* <!-- If enabled, Auttaja automatically removes messages containing server links and applies a Strike to the user that posted the link. --> (Disabled)
- *"Anti-Caps"* <!-- If enabled, Auttaja will remove messages that have a percentage of their characters capitalised. --> (Disabled)
- *"Anti-Nuke"* <!-- If enabled, Auttaja will automatically prevent staff from abusing (or "nuking" with) Auttaja's commands. --> (Disabled)
- *"Anti-Raid"* <!-- If enabled, Auttaja will automatically take action against many users who join in quick succession. --> (Disabled)
- *"Anti-Shortener"* <!-- If enabled, Auttaja will automatically removes messages containing links made by link-shorteners and strikes the posting user. --> (Disabled)
- *"Anti-Spam"* <!-- If enabled, Auttaja will automatically removes spam and mutes the spamming user. --> (Disabled)
- *"Anti-Zalgo"* <!-- If enabled, Auttaja will automatically remove messages containing Zalgo and mutes the posting user. --> (Disabled)
- *"Bad Link Protection"* <!-- If enabled, Auttaja automatically removes messages containing the number of mentions you set below and then take the action you set. -->
- *"Mention Spam Protection"* <!-- If enabled, Auttaja will remove messages containing the number of mentions you set below and then take the action you set. --> (Disabled)
- *"Nickname Filters"* <!-- If enabled, Auttaja will remove the nickname and then take the action you set. --> (Disabled)

### Clean Channels

- *"Clean Channels"* <!-- A list of channels that Auttaja will automatically delete all non-bypass message in, useful for command-only channels. --> (Clean Channels)

### Ignored Channels

- *"Ignored Channels"* - <!-- List of channels Auttaja's Auto Mod features will ignore. --> (Ignored Channels)

## Filter
### Punishment

- *"Punishment"* <!-- Auttaja can filter messages that contain certain words and through the use of regex expressions. You can also a punishment for the user that posted posted the filtered message. -->
- *"Select the Punishment"* <!-- Please select a punishment that will be applied upon a user sending one of the filtered texts. --> (No Punishment)

### Word Filters

- *"Filtered Words"* <!-- Type the word or phase you would like Auttaja to filter in the blank at the bottom and press Enter to add it to the filter words list. --> (ENTER YOUR TEXT HERE)

### Regex Filters

- *"Custom Regex"* <!-- Enter any custom regex you would like to use for filtering. For help with regex, see regex101.com or regexr.com (Set them to Pythonic regex for Auttaja). --> (ENTER YOUR TEXT HERE)

## Appeals
### Appeals Overview

- *"Enable Appeals"* <!-- Auttaja's Appeals feature allows users to file appeals for strikes they've recieved (and lets them include a reason and evidence). --> (Enabled)
- *"Default Appeals Channel"* <!-- Please select the channel you would like Auttaja to send user appeals to. --> (Channel)

## Reports
### Reports Overview

- *"Reports Overview"* <!-- Auttaja Report allows users to report others with the bot. --> (Disabled)
- *"Default Reports Channel"* <!-- Please select the channel you would like Auttaja to send user's reports to! --> (Channel)

## Nick Change Requests
### Nick Request Settings

- *"Nick Request Settings"* <!-- If the 'Change Nickname' permission is disabled for for your users' roles, you can allow users to request nickname changes with Auttaja, these requests will go to a channel you set for staff to review. -->
- *"Enable / Disable Nick Requests"* <!-- If Nick requests are enabled, users can request a nickname change with the `[p]nick <NICKNAME>` command. --> (Disabled)
- *"Set Nick Request Channel"* <!-- Sets the channel to review nickname change requests. --> (Channel)

## Assignable & Giveable Roles
### Assignable Roles

- *"Assignable Roles"* <!-- You can configure Auttaja to let users self-assign roles with the `[p]assignrole <role>` command. -->
- *"Select assignable roles"* <!-- The following roles can be self-assigned by any user. --> (Assignable Roles)

### Giveable Roles

- *"Giveable Roles"* - <!-- You can configure Auttaja to let server staff assign server members roles with the [p]giverole @Username/ID <role> command. You can configure which permission sets can use this command in the Commands page. -->
- *"Set Giveable Roles"* <!-- The following roles can be assigned by staff. --> (Giveable Roles)

## Voice Roles
### Overview

- *"Overview"* <!-- With Voice Roles you can configure Auttaja to assign users' roles when they enter a voice chat *(and automatically remove them when they leave)*. For example, you can configure your roles with a Voice Role setup so that only users in a voice channel can see a "context" chat channel. **NOTE:** Auttaja does not configure any of the permissions for the voice channels or roles for you - this feature only assigned and unassigns roles when a user enters or leaves a voice channel. -->

### Configure a Voice Role

- *"Select a role"* <!-- Select a role to users who join any voice channel: --> (Select a role)
- *"Voice Channel"* <!-- Select whether you want the role to apply to all voice channels or a specific voice channel. --> (Click to add another Action.)

# Logging
## General Logging
### Overview

- *"Compact Logging"* <!-- If enabled, Auttaja will add entries to its log in an embed-less compact mode. --> (Disabled)
- *"Advanced Logging"* <!-- Advanced logging extends the period for how long messages can be logged for. --> (Enabled)
- *"Default Logging Channel"* <!-- Please select the channel you would like Auttaja to log to by default. --> (Channel)
- *"Ignored Channels"* <!-- Auttaja won't log messages that originate from these channels. --> (Channel(s))

### Modes

- *"Join/Leave Logging"* <!-- If enabled, Auttaja will add entries to the default logging channel or other specified logging channel whenever users join or leave your server. --> (Enabled) ("🔐₊│join-leave" <#923508332004790272>)
- *"Edited Message Logging"* <!-- If enabled, Auttaja will add entries to the default logging channel or other specified logging channel whenever users edit their messages. --> (Enabled) ("🔐₊│message-logs" <#923479428229636116>)
- *"Deleted Message Logging"* <!-- If enabled, Auttaja will add entries to the default logging or other specified channel whenever users delete their messages. --> (Enabled) ("🔐₊│message-logs" <#923479428229636116>)
- *"Channel Creation/Deletion Logging"* <!-- If enabled, Auttaja will add entries to the default logging or other specified channel whenever channels are created or deleted. --> (Enabled) (Channel)
- *"Nickname Logging"* <!-- If enabled, Auttaja will add entries to the default logging or other specified channel whenever users change their nicknames. --> (Enabled) ("🔐₊│member-logs" <#923508833026985995>)
- *"Invite Logging"* <!-- If enabled, Auttaja will add entries to the default logging or other specified channel whenever a user uses an invite. --> (Enabled) (Channel)
- *"Voice Logging"* <!-- If enabled, Auttaja will add entries to the default logging or other specified channel whenever users moves to or from a voice channel. --> (Enabled) ("🔐₊│voice-logs" <#923508476653756456>)
- *"AutoMod Logging"* <!-- If enabled, Auttaja will add entries to the default logging or other specified channel whenever a user gets punished by Auttaja Automod. --> (Enabled) (Channel)
- *"Role Logging"* <!-- If enabled, Auttaja will add entries to the default logging or other specified channel whenever users change their roles or get theirs changed. --> (Enabled) ("🔐₊│member-logs" <#923508833026985995>)

## Moderation Logs
### Public Mod Logs

- *"Public Mod Logs"* <!-- These settings will decide if certain action should be logged in your public log channel. -->
- *"Strike Logging"* <!-- Logs strikes to public logs. --> (Enabled)
- *"Mute Logging"* <!-- Logs mutes to public logs. --> (Enabled)
- *"Kick Logging"* <!-- Logs kicks to public logs. --> (Enabled)
- *"SoftBan Logging"* <!-- Logs softbans to public logs. --> (Enabled)
- *"Ban Logging"* <!-- Logs bans to public logs. --> (Enabled)
- *"Unban Logging"* <!-- Logs unbans to public logs. --> (Enabled)
- *"Unmute Logging"* <!-- Logs unmutes to public logs. --> (Enabled)
- *"Public log channel"* <!-- Channel in which public logs will be logged. --> (Channel)
- *"Public Logs Toggle"* <!-- Enables/Disables public logs. --> (Enabled)

### Private Mod Logs

- *"Private Mod Logs"* <!-- These settings will decide if certain action should be logged in your private log channel -->
- *"Strike Logging"* <!-- Logs strikes to private logs. --> (Enabled)
- *"Mute Logging"* <!-- Logs mutes to private logs. --> (Enabled)
- *"Kick Logging"* <!-- Logs kicks to private logs. --> (Enabled)
- *"SoftBan Logging"* <!-- Logs softbans to private logs. --> (Enabled)
- *"Ban Logging"* <!-- Logs bans to private logs. --> (Enabled)
- *"Unban Logging"* <!-- Logs unbans to private logs. --> (Enabled)
- *"Unmute Logging"* <!-- Logs unmutes to private logs. --> (Enabled)
- *"Private log channel"* <!-- Channel in which private logs will be logged. --> ("🔐₊│punish-logs" <#923508500821319700>)
- *"Private Logs Toggle"* <!-- Enables/Disables private logs. --> (Enabled)

# Starboard
### Starboard Settings

- *"Starboard Settings"* <!-- The Starboard is like your server's personal "Hall of Fame." Users react to posts with a star or your preset emoji and Auttaja will highlight those posts in a seperate Starboard channel. -->
- *"Set Starboard Channel"* <!-- Set the channel to use as the Starboard. --> (Channel)
- *"Set Default Star count"* <!-- Set the number of emojis required for Autaja to showcase the message in the Starboard. --> (3)
- *"Set Default Emoji"* <!-- Set the default emoji used for the Starboard. --> (⭐)
- *"Filtered Channels"* <!-- Use the dropdown to select channels you would like for Auttaja to not recognize for Starboard posts. --> (Channel(s))